Subject: Re: Network card IRQ balancing with Intel 5000 series chipsets

From: jamal <[email-masked]>
Date: Tue, 26 Dec 2006 22:47:59 -0500

On Wed, 2006-27-12 at 01:28 +0100, Arjan van de Ven wrote:

> current irqbalance accounts for napi by using the number of packets as
> indicator for load, not the number of interrupts. (for network
> interrupts obviously)
> 

Sounds a lot more promising.
Although still insufficient in certain cases. All flows are not equal; as an
example, an IPSEC flow with 1000 packets bound to one CPU  will likely
utilize more cycles than 5000 packets that are being plain forwarded on
another CPU.

cheers,
jamal